org.eclipse.emf.cdo.common.revision

## Interface CDOIDAndVersion

- All Superinterfaces:
    CDOIdentifiable
  All Known Subinterfaces:
    CDORevision, CDORevisionCache.EvictionEvent, CDORevisionDelta, CDORevisionKey, InternalCDORevision, InternalCDORevisionDelta
  All Known Implementing Classes:
    AbstractCDORevision, BaseCDORevision, DelegatingCDORevision, DetachedCDORevision, PointerCDORevision, StubCDORevision, SyntheticCDORevision

      public interface CDOIDAndVersion
      extends CDOIdentifiable

  An `ID` / version number pair.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getVersion()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIdentifiable

      `getID`

- - ### Method Detail

    - #### getVersion

          int getVersion()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html